## snui 1.2.0

=== Makefile ===
SUBDIRS=server nss pam admin

all: libsnui.a libsnui_shared.a
	for i in $(SUBDIRS); do \
		make -C $$i; \
	done

libsnui.a:
	make -C lib clean
	make -C lib
	cp lib/libsnui.a .

libsnui_shared.a:
	make -C lib clean
	CFLAGS=-fPIC make -C lib
	cp lib/libsnui.a libsnui_shared.a

install:
	for i in $(SUBDIRS); do \
		make -C $$i install; \
	done

clean:
	for i in $(SUBDIRS) lib; do \
		make -C $$i clean; \
	done
	rm -f libsnui.a libsnui_shared.a
