=== admin/Makefile ===
all:
	# NOP

clean:
	# NOP

install:
	mkdir -p $(DESTDIR)/var/log/snui
	mkdir -p $(DESTDIR)/usr/share/snui/web
	mkdir -p $(DESTDIR)/etc/snui
	cp *.php *.inc *.html $(DESTDIR)/usr/share/snui/web
	install -m 0644 -o root -g root snui_admin.conf $(DESTDIR)/etc/snui
	install -m 0644 -o root -g root apache.conf $(DESTDIR)/etc/snui
