=== lib/Makefile ===
CONFIG_FILENAME=/etc/snui/snui.conf

TARGETS=libsnui.a

CC=gcc
CFLAGS+=-O2 -Wall -Wno-unused -DCONFIG_FILENAME="\"$(CONFIG_FILENAME)\""

OBJS=fileconf.tab.o fileconf.lex.o net.o md5.o

all: $(TARGETS)

libsnui.a: $(OBJS)
	ar -rs libsnui.a $(OBJS)

fileconf.tab.c: fileconf.y
	bison -p conf_ -d fileconf.y

fileconf.lex.c: fileconf.l
	flex -Pconf_ -ofileconf.lex.c fileconf.l

clean:
	rm -f $(OBJS) $(TARGETS) fileconf.lex.c fileconf.tab.c fileconf.tab.h
