=== nss/Makefile ===
# Configuration
CONFIG_FILENAME=/etc/snui/snui.conf

# Compiler used
CC=gcc

# Any extra compilation options you want
CFLAGS+=

# Any extra link options
LDFLAGS+=

# Don't screw with anything below here
TARGETS=libnss_snui-2.0.0.so
OBJS=passwd.o group.o
LIBS=../libsnui_shared.a

CFLAGS+=-Wall -g -O2 -fpic -DCONFIG_FILENAME="\"$(CONFIG_FILENAME)\""
LDFLAGS+=-shared

libnss_snui.so.2: $(OBJS)
	gcc $(LDFLAGS) -o libnss_snui-2.0.0.so $(OBJS) $(LIBS)

install: $(TARGETS)
	mkdir -p $(DESTDIR)/lib
	install -m 0644 -o root -g root libnss_snui-2.0.0.so $(DESTDIR)/lib

clean:
	rm -f $(TARGETS) $(OBJS)
