=== pam/Makefile ===
# Configuration
CONFIG_FILENAME=/etc/snui/snui.conf

# Compiler used
CC=gcc

# Any extra compilation options you want
CFLAGS+=

# Any extra link options
LDFLAGS+=

# Don't screw with anything below here
TARGETS=pam_snui.so
OBJS=auth.o
LIBS=../libsnui_shared.a

CFLAGS+=-Wall -Wno-unused -g -O2 -fpic -DCONFIG_FILENAME="\"$(CONFIG_FILENAME)\""
LDFLAGS+=-shared

pam_snui.so: $(OBJS)
	gcc $(LDFLAGS) -o pam_snui.so $(OBJS) $(LIBS)

install: pam_snui.so
	mkdir -p $(DESTDIR)/lib/security
	install -m 0644 -o root -g root pam_snui.so $(DESTDIR)/lib/security
	

clean:
	rm -f $(TARGETS) $(OBJS)
