=== server/Makefile ===
CONFIG_FILE=/etc/snui/snui.conf

TARGETS=snui_server

CC=gcc

CFLAGS=-Wall -g -O2 -DCONFIG_FILE="\"$(CONFIG_FILE)\""

OBJS=snui_server.o
LIBS=../libsnui.a -lpthread

snui_server: $(OBJS)
	gcc $(LDFLAGS) $(OBJS) -o snui_server $(LIBS)

install: snui_server
	mkdir -p $(DESTDIR)/usr/sbin
	install -m 0755 -o root -g root snui_server $(DESTDIR)/usr/sbin

clean:
	rm -f $(OBJS) $(TARGETS)
