=== debian/changelog ===
snui (1.2.0) unstable; urgency=low

  * Removed some of the more gratuitous debugging stuff.
  * Added an edituser.php admin script.

 -- Matthew Palmer <mpalmer@debian.org>  Tue, 10 Sep 2002 07:44:40 +1000

snui (1.1.2) unstable; urgency=low

  * Uses a better method of building, so that shared objects use a shared
    version of the common library, while everything else gets a statically
    linked version.

 -- Matthew Palmer <mpalmer@debian.org>  Sun, 28 Jul 2002 16:07:32 +1000

snui (1.1.1) unstable; urgency=low

  * libsnui.a was built statically, but is included in dynamic objects,
    hence should be built with -fPIC, which it now is.  (Closes: #154298)

 -- Matthew Palmer <mpalmer@debian.org>  Fri, 26 Jul 2002 10:49:50 +1000

snui (1.1.0) unstable; urgency=low

  * Hey, it's threaded!
  * The config file parser and associated access functions have all been
    mutexed.
  * Server is fully threaded.
  * NSS and PAM modules assessed for thread-safety, updated where necessary.

 -- Matthew Palmer <mpalmer@debian.org>  Fri, 19 Jul 2002 13:21:29 +1000

snui (1.0.3) unstable; urgency=low

  * Added copious debugging to the PAM module, since it doesn't seem to be
    working properly.

 -- Matthew Palmer <mpalmer@debian.org>  Fri, 12 Jul 2002 16:25:55 +1000

snui (1.0.2) unstable; urgency=low

  * Farking programs.

 -- Matthew Palmer <mpalmer@debian.org>  Thu, 11 Jul 2002 14:53:10 +1000

snui (1.0.1) unstable; urgency=low

  * Time for a new release; bugfixes and whatnot.

 -- Matthew Palmer <mpalmer@debian.org>  Thu, 11 Jul 2002 14:36:18 +1000

snui (1.0.0) unstable; urgency=low

  * Initial Release.
  * Needs a lot of work, but it needs to be released.

 -- Matthew Palmer <mpalmer@debian.org>  Fri,  5 Jul 2002 17:50:32 +1000
