=== debian/control ===
Source: snui
Section: admin
Priority: extra
Maintainer: Matthew Palmer <mpalmer@debian.org>
Build-Depends: debhelper (>>3.0.0), libpam0g-dev, flex, bison
Standards-Version: 3.5.2

Package: snui-server
Architecture: any
Depends: ${shlibs:Depends}, apache, php4, phtml, snui-common
Description: Simple Network User Information - Server
 The SNUI system is designed to be a fast, lightweight information and
 authentication system.  It is not expressly designed with security in mind,
 however it should not be gratuitously insecure.
 .
 This is the server package.  Use it wherever you need to serve information
 about users and groups.

Package: snui-client
Architecture: any
Depends: ${shlibs:Depends}, snui-common
Description: Simple Network User Information - Client
 The SNUI system is designed to be a fast, lightweight information and
 authentication system.  It is not expressly designed with security in mind,
 however it should not be gratuitously insecure.
 .
 This is the package needed for SNUI support on the client side.  It
 contains PAM and NSS modules designed to talk to the SNUI server.

Package: snui-common
Architecture: all
Description: Simple Network User Information - Common files
 The SNUI system is designed to be a fast, lightweight information and
 authentication system.  It is not expressly designed with security in mind,
 however it should not be gratuitously insecure.
 .
 This package contains the files common to both client and server.
